Subject: -3.95/BSI No Compile

From: System Administrator <[email-masked]>
Date: Tue, 28 Jan 1997 18:00:51 -0700 (MST)

I am the administrator of a BSDI Unix system. I got
the Gzip version of 3.95 (as well as patch1. When I
use "build bsi" I get imapd and pico complied but this
is what happens when the buid gets to pine and pico.
The error about libpico.a is true. There is no such
file in this gziped version.

Making Pico and Pilot
cc -c  -g -DBSDI -DJOB_CONTROL -DANSI -DMOUSE osdep.c
osdep.c: In function alt_editor:
osdep.c:950: warning: argument #1: argument passing between incompatible pointer types
osdep.c: In function sstrcasecmp:
osdep.c:2021: argument `s1' doesn't match function prototype
osdep.c:2021: argument `s2' doesn't match function prototype
*** Error code 1

Stop.

Making Pine.
cc -O  -g -DDEBUG  -DBSDI -DSYSTYPE=\"BSI\" -DMOUSE -c addrbook.c
cc -O  -g -DDEBUG  -DBSDI -DSYSTYPE=\"BSI\" -DMOUSE -c adrbklib.c
cc -O  -g -DDEBUG  -DBSDI -DSYSTYPE=\"BSI\" -DMOUSE -c args.c
cc -O  -g -DDEBUG  -DBSDI -DSYSTYPE=\"BSI\" -DMOUSE -c context.c
cc -O  -g -DDEBUG  -DBSDI -DSYSTYPE=\"BSI\" -DMOUSE -c filter.c
cc -O  -g -DDEBUG  -DBSDI -DSYSTYPE=\"BSI\" -DMOUSE -c folder.c
cc -O  -g -DDEBUG  -DBSDI -DSYSTYPE=\"BSI\" -DMOUSE -c help.c
cc -O  -g -DDEBUG  -DBSDI -DSYSTYPE=\"BSI\" -DMOUSE -c imap.c
cc -O  -g -DDEBUG  -DBSDI -DSYSTYPE=\"BSI\" -DMOUSE -c init.c
cc -O  -g -DDEBUG  -DBSDI -DSYSTYPE=\"BSI\" -DMOUSE -c mailcap.c
cc -O  -g -DDEBUG  -DBSDI -DSYSTYPE=\"BSI\" -DMOUSE -c mailcmd.c
cc -O  -g -DDEBUG  -DBSDI -DSYSTYPE=\"BSI\" -DMOUSE -c mailindx.c
cc -O  -g -DDEBUG  -DBSDI -DSYSTYPE=\"BSI\" -DMOUSE -c mailpart.c
cc -O  -g -DDEBUG  -DBSDI -DSYSTYPE=\"BSI\" -DMOUSE -c mailview.c
cc -O  -g -DDEBUG  -DBSDI -DSYSTYPE=\"BSI\" -DMOUSE -c newmail.c
cc -O  -g -DDEBUG  -DBSDI -DSYSTYPE=\"BSI\" -DMOUSE -c other.c
cc -O  -g -DDEBUG  -DBSDI -DSYSTYPE=\"BSI\" -DMOUSE -c pine.c
cc -O  -g -DDEBUG  -DBSDI -DSYSTYPE=\"BSI\" -DMOUSE -c reply.c
cc -O  -g -DDEBUG  -DBSDI -DSYSTYPE=\"BSI\" -DMOUSE -c screen.c
cc -O  -g -DDEBUG  -DBSDI -DSYSTYPE=\"BSI\" -DMOUSE -c send.c
cc -O  -g -DDEBUG  -DBSDI -DSYSTYPE=\"BSI\" -DMOUSE -c signals.c
cc -O  -g -DDEBUG  -DBSDI -DSYSTYPE=\"BSI\" -DMOUSE -c status.c
cc -O  -g -DDEBUG  -DBSDI -DSYSTYPE=\"BSI\" -DMOUSE -c strings.c
cc -O  -g -DDEBUG  -DBSDI -DSYSTYPE=\"BSI\" -DMOUSE -c ttyin.c
cc -O  -g -DDEBUG  -DBSDI -DSYSTYPE=\"BSI\" -DMOUSE -c ttyout.c
cc -O  -g -DDEBUG  -DBSDI -DSYSTYPE=\"BSI\" -DMOUSE -c os.c
echo "char datestamp[]="\"`date`\"";" > date.c
echo "char hoststamp[]="\"`hostname`\"";" >> date.c
cc  -O  -g -DDEBUG  -DBSDI -DSYSTYPE=\"BSI\" -DMOUSE -o pine addrbook.o adrbklib.o args.o context.o filter.o  folder.o help.o helptext.o imap.o init.o mailcap.o mailcmd.o  mailindx.o mailpart.o mailview.o newmail.o other.o pine.o  reply.o screen.o send.o 
signals.o status.o strings.o ttyin.o  ttyout.o os.o date.c  ../pico/libpico.a ../c-client/c-client.a -ltermlib
ld: No such file or directory for ../pico/libpico.a
*** Error code 1

Stop.

Links to executables are in bin directory:
size: bin/pine: No such file or directory
text    data    bss     dec     hex
307200  12288   33820   353308  5641c   bin/mtest
319488  12288   40016   371792  5ac50   bin/imapd
size: bin/pico: No such file or directory
size: bin/pilot: No such file or directory
Done

Thanks for your help.

 +------------------+------------------+
 | Alan Heflich       602/443.2730     |
 | The Forms Group    602/867.1854 fax |
 +-------------------------------------+
 |      [email-masked]     | 
 +-------------------------------------+